using Edu.Common.Enum.User;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{

    /// <summary>
    /// rb_workflow_auditrecord Entity
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class Rb_Workflow_Auditrecord
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 工作流id
        /// </summary>        
        public int? WorkFlowId
        {
            get;
            set;
        }
        /// <summary>
        /// 审核id
        /// </summary>        
        public int? AuditId
        {
            get;
            set;
        }
        /// <summary>
        /// 1未审核  2审核通过  3 不通过  4 驳回 5他人已审核
        /// </summary>        
        public WFRrocessStatus? AuditStatus
        {
            get;
            set;
        }
        /// <summary>
        /// 描述
        /// </summary>        
        public string Description
        {
            get;
            set;
        }
        /// <summary>
        /// 1请假  2出差  3  外出  4  补卡
        /// </summary>        
        public WFTTemplateTypeEnum? TemplateType
        {
            get;
            set;
        }
        /// <summary>
        /// CreateBy
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }
        /// <summary>
        /// CreateTime
        /// </summary>        
        public DateTime? CreateTime
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateBy
        /// </summary>        
        public int? UpdateBy
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateTime
        /// </summary>        
        public DateTime? UpdateTime
        {
            get;
            set;
        }
        /// <summary>
        /// 审批人
        /// </summary>        
        public int? AuditEmId
        {
            get;
            set;
        }
        /// <summary>
        /// 转交备注
        /// </summary>
        public string CareOfRemarks { get; set; }
        /// <summary>
        /// 图片
        /// </summary>
        public string Image { get; set; }
    }
}